#include <iostream>
#include<stdio.h>
#include<math.h>
#include<stdlib.h>

using namespace std;

int main()
{int l,X;
cin>>n;
cin>>X
p=X;
cin>>X;
if(X>p)
printf("%d %d",p,X);
else printf("%d %d",X,p);
    
    
    
    
    
    
    return 0;
}